Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.jce.provider.symmetric
Class AES.RFC3211Wrap

    java.lang.Object
      javax.crypto.CipherSpi
          org.bouncycastle.jce.provider.WrapCipherSpi
              org.bouncycastle.jce.provider.symmetric.AES.RFC3211Wrap

All Implemented Interfaces:
  PBE

Enclosing class:
  AES

    public static class AES.RFC3211Wrap

extends WrapCipherSpi

Nested Class Summary

Nested classes/interfaces inherited from class org.bouncycastle.jce.provider.WrapCipherSpi
`WrapCipherSpi.DESEDEWrap, WrapCipherSpi.RC2Wrap, WrapCipherSpi.RFC3211DESedeWrap`

Nested classes/interfaces inherited from interface org.bouncycastle.jce.provider.PBE
`PBE.Util`

Field Summary

Fields inherited from class org.bouncycastle.jce.provider.WrapCipherSpi
`engineParams, pbeHash, pbeIvSize, pbeKeySize, pbeType, wrapEngine`

Fields inherited from interface org.bouncycastle.jce.provider.PBE
`MD2, MD5, OPENSSL, PKCS12, PKCS5S1, PKCS5S2, RIPEMD160, SHA1, SHA256, TIGER`

Constructor Summary
`AES.RFC3211Wrap()`

Method Summary

Methods inherited from class org.bouncycastle.jce.provider.WrapCipherSpi
`engineDoFinal, engineDoFinal, engineGetBlockSize, engineGetIV, engineGetKeySize, engineGetOutputSize, engineGetParameters, engineInit, engineInit, engineInit, engineSetMode, engineSetPadding, engineUnwrap, engineUpdate, engineUpdate, engineWrap`

Methods inherited from class javax.crypto.CipherSpi
`engineDoFinal, engineUpdate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AES.RFC3211Wrap

    public AES.RFC3211Wrap()

Bouncy Castle Cryptography Library 1.45